Project

General

Profile

Bug #48597

Trace settings

Added by Emmanuel Cazenave 19 days ago. Updated 19 days ago.

Status:
Nouveau
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
17 Nov 2020
Due date:
% Done:

0%

Estimated time:
Patch proposed:
No
Planning:
No

Description

Sur HDS recette.

nov. 17 10:04:39 combo uwsgi[2547]: Traceback (most recent call last):
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 41, in inner
nov. 17 10:04:39 combo uwsgi[2547]:     response = get_response(request)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/sentry_sdk/integrations/django/middleware.py", line 101, in __call__
nov. 17 10:04:39 combo uwsgi[2547]:     return self._call_method(*args, **kwargs)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/sentry_sdk/integrations/django/middleware.py", line 72, in sentry_wrapped_method
nov. 17 10:04:39 combo uwsgi[2547]:     return old_method(*args, **kwargs)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/utils/deprecation.py", line 138, in __call__
nov. 17 10:04:39 combo uwsgi[2547]:     response = self.process_request(request)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/middleware.py", line 87, in process_request
nov. 17 10:04:39 combo uwsgi[2547]:     if getattr(settings, 'CLEAR_CONTENT_TYPE_CACHE', True):
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/apps.py", line 22, in <lambda>
nov. 17 10:04:39 combo uwsgi[2547]:     conf.LazySettings.__getattr__ = lambda self, name: getattr(self._wrapped, name)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 97, in __getattr__
nov. 17 10:04:39 combo uwsgi[2547]:     return getattr(self.get_wrapped(), name)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 92, in get_wrapped
nov. 17 10:04:39 combo uwsgi[2547]:     return self.get_tenant_settings(tenant)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 80, in get_tenant_settings
nov. 17 10:04:39 combo uwsgi[2547]:     tenant_settings, last_time = self.load_tenant_settings(tenant, tenant_settings, last_time)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 66, in load_tenant_settings
nov. 17 10:04:39 combo uwsgi[2547]:     loader.update_settings(tenant_settings, tenant)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings_loaders.py", line 32, in update_settings
nov. 17 10:04:39 combo uwsgi[2547]:     self.update_settings_from_path(tenant_settings, path)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings_loaders.py", line 401, in update_settings_from_path
nov. 17 10:04:39 combo uwsgi[2547]:     self.handle_settings(tenant_settings, json.load(f))
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/__init__.py", line 296, in load
nov. 17 10:04:39 combo uwsgi[2547]:     parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/__init__.py", line 348, in loads
nov. 17 10:04:39 combo uwsgi[2547]:     return _default_decoder.decode(s)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/decoder.py", line 337, in decode
nov. 17 10:04:39 combo uwsgi[2547]:     obj, end = self.raw_decode(s, idx=_w(s, 0).end())
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/decoder.py", line 353, in raw_decode
nov. 17 10:04:39 combo uwsgi[2547]:     obj, end = self.scan_once(s, idx)
nov. 17 10:04:39 combo uwsgi[2547]: json.decoder.JSONDecodeError: Expecting ',' delimiter: line 24 column 216 (char 1063)
nov. 17 10:04:39 combo uwsgi[2547]: During handling of the above exception, another exception occurred:
nov. 17 10:04:39 combo uwsgi[2547]: Traceback (most recent call last):
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 41, in inner
nov. 17 10:04:39 combo uwsgi[2547]:     response = get_response(request)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/sentry_sdk/integrations/django/middleware.py", line 101, in __call__
nov. 17 10:04:39 combo uwsgi[2547]:     return self._call_method(*args, **kwargs)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/sentry_sdk/integrations/django/middleware.py", line 72, in sentry_wrapped_method
nov. 17 10:04:39 combo uwsgi[2547]:     return old_method(*args, **kwargs)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/utils/deprecation.py", line 140, in __call__
nov. 17 10:04:39 combo uwsgi[2547]:     response = self.get_response(request)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 43, in inner
nov. 17 10:04:39 combo uwsgi[2547]:     response = response_for_exception(request, exc)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 93, in response_for_exception
nov. 17 10:04:39 combo uwsgi[2547]:     response = handle_uncaught_exception(request, get_resolver(get_urlconf()), sys.exc_info())
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 129, in handle_uncaught_exception
nov. 17 10:04:39 combo uwsgi[2547]:     if settings.DEBUG_PROPAGATE_EXCEPTIONS:
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/apps.py", line 22, in <lambda>
nov. 17 10:04:39 combo uwsgi[2547]:     conf.LazySettings.__getattr__ = lambda self, name: getattr(self._wrapped, name)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 97, in __getattr__
nov. 17 10:04:39 combo uwsgi[2547]:     return getattr(self.get_wrapped(), name)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 92, in get_wrapped
nov. 17 10:04:39 combo uwsgi[2547]:     return self.get_tenant_settings(tenant)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 80, in get_tenant_settings
nov. 17 10:04:39 combo uwsgi[2547]:     tenant_settings, last_time = self.load_tenant_settings(tenant, tenant_settings, last_time)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings.py", line 66, in load_tenant_settings
nov. 17 10:04:39 combo uwsgi[2547]:     loader.update_settings(tenant_settings, tenant)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings_loaders.py", line 32, in update_settings
nov. 17 10:04:39 combo uwsgi[2547]:     self.update_settings_from_path(tenant_settings, path)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3/dist-packages/hobo/multitenant/settings_loaders.py", line 401, in update_settings_from_path
nov. 17 10:04:39 combo uwsgi[2547]:     self.handle_settings(tenant_settings, json.load(f))
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/__init__.py", line 296, in load
nov. 17 10:04:39 combo uwsgi[2547]:     parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/__init__.py", line 348, in loads
nov. 17 10:04:39 combo uwsgi[2547]:     return _default_decoder.decode(s)
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/decoder.py", line 337, in decode
nov. 17 10:04:39 combo uwsgi[2547]:     obj, end = self.raw_decode(s, idx=_w(s, 0).end())
nov. 17 10:04:39 combo uwsgi[2547]:   File "/usr/lib/python3.7/json/decoder.py", line 353, in raw_decode
nov. 17 10:04:39 combo uwsgi[2547]:     obj, end = self.scan_once(s, idx)
nov. 17 10:04:39 combo uwsgi[2547]: json.decoder.JSONDecodeError: Expecting ',' delimiter: line 24 column 216 (char 1063)

History

#1

Updated by Benjamin Dauvergne 19 days ago

Vraisemblablement un settings.json mal formaté mais sans la trace complète ou le lien sentry c'est difficile de voir quel brique et quel domaine, mais au pif ça doit être combo où Mike fait des trucs.

#3

Updated by Benjamin Dauvergne 19 days ago

Actuellement les 3 sont bons, il faudrait l'horaire pour voir si Mike y était connecté.

Also available in: Atom PDF